Cannot deploy Ubuntu SDK HTML5 template application onto a phone

Bug #1471383 reported by XiaoGuo, Liu on 2015-07-04
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
webapps-sprint
High
Alexandre Abreu
qtcreator-plugin-ubuntu (Ubuntu)
High
Alexandre Abreu

Bug Description

I am now trying to use Ubuntu SDK to create a template HTML 5 app without any modification. When I deploy it onto a real phone, I get the following error. Attached please find the captured picture.

Sdk-Launcher> There has been a AppArmor denial for your application.
Sdk-Launcher> Most likely it is missing a policy in the AppArmor file.
Syslog> Jul 4 15:09:52 ubuntu-phablet kernel: [20414.957971] type=1400 audit(1435993792.170:96): apparmor="DENIED" operation="open" profile="html5.liu-xiao-guo_html5_0.1" name="/etc/default/apport" pid=17180 comm="qtc_device_debu" requested_mask="r" denied_mask="r" fsuid=32011 ouid=0
Traceback (most recent call last):
  File "./qtc_device_debughelper.py", line 155, in <module>
    os.execv(effective_cmd,args)
PermissionError: [Errno 13] Permission denied
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 63, in apport_excepthook
    from apport.fileutils import likely_packaged, get_recent_crashes
  File "/usr/lib/python3/dist-packages/apport/__init__.py", line 5, in <module>
    from apport.report import Report
  File "/usr/lib/python3/dist-packages/apport/report.py", line 30, in <module>
    import apport.fileutils
  File "/usr/lib/python3/dist-packages/apport/fileutils.py", line 23, in <module>
    from apport.packaging_impl import impl as packaging
  File "/usr/lib/python3/dist-packages/apport/packaging_impl.py", line 20, in <module>
Sdk-Launcher> There has been a AppArmor denial for your application.
Sdk-Launcher> Most likely it is missing a policy in the AppArmor file.
Syslog> Jul 4 15:09:52 ubuntu-phablet kernel: [20415.736973] type=1400 audit(1435993792.951:97): apparmor="DENIED" operation="open" profile="html5.liu-xiao-guo_html5_0.1" name="/etc/apt/apt.conf.d/00recommends" pid=17180 comm="qtc_device_debu" requested_mask="r" denied_mask="r" fsuid=32011 ouid=0
    import apt
  File "/usr/lib/python3/dist-packages/apt/__init__.py", line 34, in <module>
    apt_pkg.init_config()
SystemError: E:Opening configuration file /etc/apt/apt.conf.d/00recommends - ifstream::ifstream (13: Permission denied)

Original exception was:
Traceback (most recent call last):
  File "./qtc_device_debughelper.py", line 155, in <module>
    os.execv(effective_cmd,args)
PermissionError: [Errno 13] Permission denied

Related branches

XiaoGuo, Liu (liu-xiao-guo) wrote :
Rex Tsai (chihchun) wrote :

verified on
qtcreator 3.1.1-0ubuntu9
qtcreator-plugin-ubuntu 3.1.1+15.10.20150616-0ubuntu1~0vivid1
ubuntu-sdk 1.221
ubuntu-sdk-libs:amd64 1.221
ubuntu-sdk-libs-dev:amd64 1.221
ubuntu-sdk-libs-tools 1.221
ubuntu-sdk-qmake-extras 3.1.1+15.10.20150616-0ubuntu1~0vivid1

target -
phablet@ubuntu-phablet:~$ system-image-cli -i
current build number: 2
device name: arale
channel: ubuntu-touch/stable/meizu.en
last update: 2015-07-02 13:49:50
version version: 2
version ubuntu: 20150611.3
version device: 20150608-6e66f3c
version custom: 20150602-731-5-32
phablet@ubuntu-phablet:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 15.04
Release: 15.04
Codename: vivid

tags: added: univ-train
David Barth (dbarth) on 2015-07-06
Changed in qtcreator-plugin-ubuntu (Ubuntu):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Alexandre Abreu (abreu-alexandre)
Changed in webapps-sprint:
importance: Undecided → High
status: New → Triaged
assignee: nobody → Alexandre Abreu (abreu-alexandre)
milestone: none → sprint-12
Changed in qtcreator-plugin-ubuntu (Ubuntu):
status: Triaged → In Progress
Changed in webapps-sprint:
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtcreator-plugin-ubuntu - 3.1.1+15.10.20150720-0ubuntu1

---------------
qtcreator-plugin-ubuntu (3.1.1+15.10.20150720-0ubuntu1) wily; urgency=medium

  [ Alexandre Abreu ]
  * Fix html5 application launch for 15.04 & policy 1.3 (LP: #1471383)

  [ Benjamin Zeller ]
  * Add settings page for project configuration default values
  * Remove QtScript dependency from the manifest.json parser Fix Bug
    lp:1461026 "Kits creation for a project should match targeted
    framework" Fix Bug lp:1461014 "Match application name to click
    package name" Fix Bug lp:1461019 "Default in project creation dialog
    should be a qmake project" Fix Bug lp:1340061: "Some dialogs have
    unreadable (too small) text" (LP: #1461026, #1461019, #1340061,
    #1461014)

 -- CI Train Bot <email address hidden> Mon, 20 Jul 2015 12:53:17 +0000

Changed in qtcreator-plugin-ubuntu (Ubuntu):
status: In Progress → Fix Released
XiaoGuo, Liu (liu-xiao-guo) wrote :

Hi,

I have tried to update my system. However, I still get:

liuxg@liuxg:~$ dpkg-query -W qtcreator-plugin-ubuntu
qtcreator-plugin-ubuntu 3.1.1+15.10.20150616-0ubuntu1~0vivid1

Could you please help to fix it for vivid 15.04? Most of the developers are not using Wily yet. Our contest is getting closer at the end the month. Please help to fix it as soon as possible.

Thanks & best regards,
XiaoGuo

It has been pushed to the SDK ppa:

alex:~$ dpkg-query -W qtcreator-plugin-ubuntu
qtcreator-plugin-ubuntu 3.1.1+15.10.20150720-0ubuntu1~0vivid1
alex:~$ apt-cache policy qtcreator-plugin-ubuntu
qtcreator-plugin-ubuntu:
  Installed: 3.1.1+15.10.20150720-0ubuntu1~0vivid1
  Candidate: 3.1.1+15.10.20150720-0ubuntu1~0vivid1
  Version table:
 *** 3.1.1+15.10.20150720-0ubuntu1~0vivid1 0
        500 http://ppa.launchpad.net/ubuntu-sdk-team/ppa/ubuntu/ vivid/main amd64 Packages
        100 /var/lib/dpkg/status
     3.1.1+15.04.20150420.1-0ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ vivid/universe amd64 Packages

could you recheck?

XiaoGuo, Liu (liu-xiao-guo) wrote :

Hi Alex,

Yes, I see the fix now. It seems that the ambiance is still not working for 15.04. Attached please find my captured screenshot. This is related to the bug report at:

https://bugs.launchpad.net/webapps-sprint/+bug/1478444

David Barth (dbarth) on 2015-09-14
Changed in webapps-sprint:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers